Bug 763805 - (GLUSTER-2073) Migrating and decomissioning a node
Migrating and decomissioning a node
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Divya
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-09 20:07 EST by Allen Lu
Modified: 2011-02-21 00:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Allen Lu 2010-11-09 20:07:52 EST
When one wants to migrate data from one node to another in order to decomission a node, theres several steps involved. However it involves temporarily offlining data.

1. replace-brick to migrate data from one node to another.
2. remove-brick to remove original brick location.
3. add-brick to add the new brick location.

In step 2, theres downtime. According to what we advertise, customer would be led to believe this is online migration. 

If we pointed the bricks in the volume automatically after the replace-brick command, it would make everything easier and hopefully without the need to issue two more command and allow data to remain online.

Question is are these the right steps or was replace-brick meant to point to the new location?
Comment 1 Anand Avati 2010-11-09 21:13:31 EST
If one wants to migrate data from one node to another in order to decommission a node, the steps involved are -

1. replace-brick old:/path new:/path
2. replace-brick status (to monitor progress)
3. replace-brick commit (after completion, or replace-brick abort)

There is no temporary offline of data.
Comment 2 Allen Lu 2010-11-10 09:50:06 EST
This is more of a lack of documentation than invalid. How does this get to our web site or documentation?
Comment 3 Allen Lu 2010-11-10 09:53:04 EST
No commit option

volume replace-brick <VOLNAME> (<BRICK> <NEW-BRICK>) start|pause|abort|status - replace-brick operations
Comment 4 Anand Avati 2010-11-10 22:35:37 EST
Documentation needs to be fixed to show the 'commit' option
Comment 5 Divya 2010-11-11 03:04:44 EST
I have added information on commit option at: http://www.gluster.com/community/documentation/index.php/Gluster_3.1:_Migrating_Volumes

Regards,
Divya
Comment 6 Raghavendra Bhat 2011-02-20 21:55:00 EST
Its fixed now. The link provided by Divya included information about migation start, pause, status, abort and commit.

Note You need to log in before you can comment on or make changes to this bug.